<template>
  <div class="register-con">
      <navs :message="titles" :rightText="loginTxt" @rights="toLogin" @went="GoIndex"></navs>
      <div class="register-spe">
        <inputs :iTitle="iTitle" :iType="iType" :imgSrc="iptSrc" :inputModel="models" @image="inputImg()" ref="tels"></inputs>
      </div>
      <div class="register-spe">
          <inputs :iTitle="iSend" :iType="iNum" :isSend="isSend" @sends="isDisable && clickButton()" ref="sends" :isDisable="isDisable"></inputs>
      </div>
    <div class="register-spe">

      <inputs :iTitle="iPassword" :iType="iPwd" :imgSrc="pwdSrc" @image="pwdImg()" ref="pwd"></inputs>
    </div>
      <div class="button-txt">
        <buttons :buttonText="btnText" @clickButton="register"></buttons>
      </div>
    <div class="agree-able">
     <img class="agree-src" :src="checkedBox"/>
      <span class="register-txt">
        我同意易学懂《用户协议》
      </span>
    </div>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import inputs from '../components/inputs.vue';
  import buttons from '../components/buttons.vue';
  import mains from '../utils/main.js';
  import M from '../utils/api.js';
  import tips from '../utils/base.js';
export default {
  name: 'register',
  data () {
    return {
      titles: '注册',
      bgColor:"#FFF",
      loginTxt:"登录",
      iTitle:"手机号",
      iType:"tel",
      iSend:"验证码",
      iPwd:"password",
      iNum:"tel",
      iPassword:"密码",
      isSend:true,
      btnText:"注册",
      isDisable:true,

      models:"",
      iptSrc:require("../assets/del_gray.png"),
      pwdSrc:require("../assets/eye.png"),
      checkedBox:require("../assets/checked.png")
    }
  },
  methods:{
    inputImg(){
       this.models="";
    },
    pwdImg(){
        this.iPwd=this.password=="text" ? "password" :"text";
    },

    clickButton(){
      let vm=this;
      vm.isRegistered().then((res)=>{
          vm.$router.push("/login")
      },(err)=>{
        vm.isDisable=false;
        vm.sendCode();
        mains.setIntervals(60,function(r){
          vm.$refs["sends"].sendText=r+"S后重新发送";
        },function(){
          vm.isDisable=true;
          vm.$refs["sends"].sendText="点击发送短信";
        })
      })

    },
    sendCode(){
      let para= {
        phone: this.$refs["tels"].inputModel,
        type:0
      }

      M.sendCode(function(data){
        console.log(data)
      },para,function(err){
        console.log(err)
      })
    },
    isRegistered(){

        let para={phone:this.$refs["tels"].inputModel};

        let promises=new Promise((resovle,reject)=>{
          M.isRegist(function(data){
            if(data.isRegist){
                resovle(data);
            }else{
              reject(data);
            }
          },para);
        })

        return promises;
    },
    register(){
      let para={
        phone:this.$refs["tels"].inputModel,
        code:this.$refs["sends"].inputModel,
        password:this.$refs["pwd"].inputModel,
      },vm=this;

      M.registers(function(data){
          console.log(data)
        if(data.status=='success'){
          tips.alertBox({
              type:"mini",
              msg:"注册成功"
          })
        }
      },para,function(err){
        console.log(err)
      })
    },
    toLogin(){
        this.$router.push("/login")
    }
  },
  components:{
    navs,
    inputs,
    buttons
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/register.css";
</style>
